Skip to main content
GET
Get revenue recognition waterfall cell

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0
ledger_id
string
required

Ledger identifier.

booked_month
string

Booked month formatted YYYY-MM; required if year is absent.

Pattern: ^\d{4}-(0[1-9]|1[0-2])$
year
integer

Booked year; required if booked_month is absent.

Required range: 2000 <= x <= 2100
recognition_month
string

Recognition month formatted YYYY-MM.

Pattern: ^\d{4}-(0[1-9]|1[0-2])$
cell_type
enum<string>
required

Waterfall cell category.

Available options:
booked,
recognition,
remaining
status
enum<string>

Recognition status filter.

Available options:
pending,
recognized,
reversed
customer_id__in
string

Comma-separated customer identifiers.

product_id__in
string

Comma-separated product identifiers.

Search customer, product, invoice, or schedule data.

Response

200 - application/json
meta
object
required

Pagination metadata.

data
object[]
required

Contributions to the waterfall cell.